import { XDataDefinition } from "../../../Common/Data/XDataDefinition";
import { IContext } from "../../../Common/IContext";
import { DialogProps } from "../../../CommonUI/BuildUI/Notification";
import { IDesignPanelConfig } from "../../../Form/FormDesignConstants";
import { RuleBuilderPage } from "../../DesignUI/RuleBuilderPage";
import { TableColumn } from "../Shared/TableColumn";
import { ValueRuleCell } from "./ValueRuleCell";
import { ValueRuleColumn } from "./ValueRuleColumn";
import { ILinkingData } from "../../Common/ILinkingData";
import { ResultCell } from "../Common/ResultCell";
import { ValueTableDefinition } from "./ValueTableDefinition";
export declare class ValueTableRuleEditContext implements IContext {
    designConfig?: IDesignPanelConfig | undefined;
    runtimeConfig?: IDesignPanelConfig | undefined;
    clipboardElement: any;
    lastSelectionElement: any;
    inputDataDefinition?: XDataDefinition;
    outputDataDefinition?: XDataDefinition;
    mode: RuleBuilderPage;
    definition?: ValueTableDefinition;
    title?: string;
    constructor(definition?: ValueTableDefinition);
    private _selectedColumnHeader;
    set selectedColumnHeader(col: TableColumn | undefined);
    get selectedColumnHeader(): TableColumn | undefined;
    private _selectedColForVariable;
    set selectedColForVariable(col: ValueRuleColumn | undefined);
    get selectedColForVariable(): ValueRuleColumn | undefined;
    private _selectedColForRule;
    set selectedColForRule(col: ValueRuleColumn | undefined);
    get selectedColForRule(): ValueRuleColumn | undefined;
    private _selectedCellForSettings;
    set selectedCellForSettings(cell: ValueRuleCell | undefined);
    get selectedCellForSettings(): ValueRuleCell | undefined;
    private _selectedCell;
    set selectedCell(cell: ValueRuleCell | ResultCell | undefined);
    get selectedCell(): ValueRuleCell | ResultCell | undefined;
    isSelected(cell: ValueRuleCell | ResultCell | undefined): boolean;
    onRuleSave?: () => void;
    onRuleCancel?: () => void;
    onCopy(id?: string): void;
    onCut(id?: string): void;
    onDelete(id?: string): void;
    onPaste(id?: string): void;
    _notification: DialogProps | undefined;
    set notification(notification: DialogProps | undefined);
    get notification(): DialogProps | undefined;
    _openLinkingDialog: boolean;
    set openLinkDialog(open: boolean);
    get openLinkDialog(): boolean;
    _linkData: ILinkingData;
    set linkData(data: ILinkingData);
    get linkData(): ILinkingData;
    navigate: (direction: "Up" | "Down" | "Right" | "Left" | "Tab" | "Select") => void;
    setSelected(cell: ResultCell | ValueRuleCell | undefined): void;
}
